fixParam {copula} | R Documentation

## Fix a Subset of a Copula Parameter Vector

### Description

It is sometimes useful to keep fixed some components of a copula parameter vector whereas the others are “free” and will be estimated, e.g., by `fitCopula`.

### Usage

    fixParam(param, fixed = TRUE)
    fixedParam(copula) <- value

### Arguments

`param` | numeric parameter vector
`fixed, value` | logical vector of the same length as `param` indicating for each component `param[j]` if it is (going to be) fixed or not.
`copula` | a `"copula"` object.

### Value

`fixParam(param)` returns a `numeric` vector with attribute `"fixed"`(a `logical`, either `TRUE` or vector of the same length as `param`) to indicate which components of `param` are to be held fixed or not.

`fixedParam<-` returns a `"copula"` object with a partly fixed parameter (slot), i.e., corresponding to `fixParam()` above.

### See Also

`fitCopula` for fitting;

### Examples

    nc1 <- normalCopula(dim = 3, fixParam(c(.6,.3,.2), c(TRUE, FALSE,FALSE)),
                        dispstr = "un")
    nc1
    nc13 <- nc12 <- nc1
    fixedParam(nc12) <- c(TRUE, TRUE, FALSE) ; nc12
    fixedParam(nc13) <- c(TRUE, FALSE, TRUE) ; nc13

[Package copula version 0.999-15 Index]